/***************************************
*             Desktop versions
****************************************/
@media only screen and (max-width: 1370px){
    /****** Homepage ******/
    .vi_banner_home-content::before {height: 50px;}
    .vi_banner_home-content-inner {margin: 20px 0 70px auto; padding: 0 20px 0 40px;}

    /****** Products & services page overview ******/
    body.page-products .inner-content, body.list.tax-product-category .inner-content {margin-left: -50px;}

    /****** Products & services page child ******/
    /*** extra Class "wrapScrollbar" */
    .wrapScrollbar.wpb_column:first-child > .vc_column-inner {padding-right: 35px;}
    .wrapScrollbar.wpb_column:last-child > .vc_column-inner {padding-left: 35px;}
    /*** ele "vi_glr_slider" */
    .vi_glr_slider__img-inner.vi-bg-cover {height: 370px !important;}
    .vi_glr_slider-thumb .vi_glr_slider__img-inner.vi-bg-cover {height: 62px !important;}
}

@media only screen and (max-width: 1300px){
    /****** Products & services page overview ******/
    body.page-products .inner-content, body.list.tax-product-category .inner-content {margin-left: 0;}
}

@media only screen and (max-width: 1200px){
    /* STICKY HEADER */
    .sticky-header header.header {padding-top:70px;}
    .sticky-header.scroll-down .header__block {transform:none;}
    .sticky-header .header__btn-hamburger {top:10px!important;}

    /* EDITOR */
    body {font-size: 14px;}
    .mceContentBody h1, .main_content h1 {font-size: 34px;}
    .mceContentBody h2, .main_content h2 {font-size: 30px;}
    .mceContentBody h3, .main_content h3 {font-size: 26px;}
    .mceContentBody h4, .main_content h4 {font-size: 22px;}
    .mceContentBody h5, .main_content h5 {font-size: 18px;}
    .mceContentBody h6, .main_content h6 {font-size: 15px;}
    .txt_size_22px {font-size: 20px !important;}

    form.search-form input.search-field {font-size: 14px;}
    form.search-form input.search-field ::-webkit-input-placeholder {font-size: 14px;}
    form.search-form input.search-field ::-moz-placeholder {font-size: 14px;}
    form.search-form input.search-field :-ms-input-placeholder {font-size: 14px;}
    form.search-form input.search-field :-moz-placeholder {font-size: 14px;}
    .page-title {font-size: 34px;}
    table.vi-references_table.custom-table-style1 thead tr th {font-size: 18px;}
    table.vi-references_table.custom-table-style1 tbody tr td {font-size: 16px;}
    .bottom_table .number_pagi > span {font-size: 22px;}
    .bottom_table .number_pagi > span.number_current {font-size: 30px;}
    .vi_download .vi_download-item-title > h6 {font-size: 14px;}
    .main_content .gform_wrapper h3.gform_title {font-size: 30px;}
    .main_content .gform_wrapper label.gfield_label {font-size: 16px;}
    .wpb-js-composer .custom-accordion.vc_tta.vc_general .vc_tta-panel-title {font-size: 18px;}
    .wpb-js-composer .custom-accordion.vc_tta-color-grey.vc_tta-style-classic .vc_tta-panel.vc_active .vc_tta-panel-body .wpb_wrapper > * {font-size: 14px;}
    .gform_wrapper input:not([type=radio]):not([type=checkbox]):not([type=submit]):not([type=button]):not([type=image]):not([type=file]),
    .gform_wrapper textarea, .gform_wrapper select {font-size: 14px !important;}
    .gform_wrapper ::-webkit-input-placeholder {font-size: 14px;}
    .gform_wrapper ::-moz-placeholder {font-size: 14px;}
    .gform_wrapper :-ms-input-placeholder {font-size: 14px;}
    .gform_wrapper :-moz-placeholder {font-size: 14px;}
    .vi-references_on-going-item .ref-attr {font-size: 14px;}
    .vi-company-history__item.no-title .vi-company-history__item--year > span {font-size: 14px;}
    .vi-company-history__item.has-title .vi-company-history__item--title {font-size: 14px;}
    /* END EDITOR */

    .desktop-show {display: none !important;}
    .mobile-show {display: block !important;}
    select.select-list.mobile-show {
        display: block; margin: 0 0 50px; padding: 10px 12px; width: 100%;
        font-size: 18px; font-family: 'Poppins', sans-serif; line-height: 1.5; font-weight: 700; letter-spacing: 0;
        color: #0071BB; background-color: #ffffff; border: 2px solid #0071BB; border-radius: 0;
    }
    #primary {margin-top: 50px !important;}
    .vc_tta-tabs.mobile-convert-tabs-to-select .vc_tta-tabs-container {margin: 0 !important; padding: 0 35px;}
    .vc_tta-tabs.tabs_custom select.select-list.mobile-show {margin: 0 0 20px;}

    /* CUSTOM SPACING */
    .margin-bottom-90px {margin-bottom: 70px !important;}
    .margin-bottom-70px {margin-bottom: 50px !important;}
    .margin-bottom-60px {margin-bottom: 40px !important;}
    .margin-bottom-50px {margin-bottom: 30px !important;}
    .margin-bottom-40px {margin-bottom: 20px !important;}
    .margin-bottom-30px {margin-bottom: 10px !important;}
    .margin-bottom-25px {margin-bottom: 5px !important;}
    .margin-bottom-20px {margin-bottom: 0 !important;}
    .margin-bottom-15px {margin-bottom: 0 !important;}
    .margin-bottom-5px {margin-bottom: 0 !important;}
    .margin-bottom-50px.wpb_content_element,
    .margin-bottom-40px.wpb_content_element {margin-bottom: 35px !important;}
    .margin-bottom-30px.wpb_content_element {margin-bottom: 30px !important;}
    .margin-bottom-25px.wpb_content_element {margin-bottom: 25px !important;}
    .margin-bottom-20px.wpb_content_element {margin-bottom: 20px !important;}
    .margin-bottom-15px.wpb_content_element {margin-bottom: 15px !important;}
    .margin-bottom-5px.wpb_content_element {margin-bottom: 5px !important;}
    .padding-bottom-40px {padding-bottom: 30px !important;}

    /****** EXTRA CLASS ******/
    .has_bg_grey {padding-top: 50px; padding-bottom: 30px;}

    /*** ele "vi_img_block_text" ***/
    .vi_img_block_text .vi_block_text-inner {margin-left: 50px;}
    .vi_img_block_text.pos_right .vi_block_text-inner {margin-right: 50px;}
    /* custom-style */
    .custom-style.vc_row[data-vc-full-width] {padding-top: 75px; padding-bottom: 25px;}

    /*** ele "vi-company-history" ***/
    .vi-company-history {margin-bottom: 90px;}
    .vi-company-history__item.has-title .vi-company-history__item--content .inner {width: 165%;}

    /****** Header ******/
    .header__logo-link {height: 45px;}
    .header__menu-wrap.mobile-show .header__menu-inner {padding: 10px 0;}
    .mobile-show .header__search {margin-right: 90px;}
    .mobile-show .header__search-button {-webkit-transform: translateX(0); -ms-transform: translateX(0); transform: translateX(0);}
    .header__banner {background-position: center 0; height: 220px;}
    .page-title {margin-bottom: 10px;}

    /****** Homepage ******/
    [class*="home_section_"][class*="margin-bottom-"] {margin-bottom: 60px !important;}
    .home_section_product[class*="margin-bottom-"], .home_section_about[class*="margin-bottom-"] {margin-bottom: 25px !important;}
    .vc_row[data-vc-full-width].home_section_references, .vc_row[data-vc-full-width].home_section_partners {padding-left: 20px;}
    .home_section_references > .wpb_column, .home_section_partners > .wpb_column {padding-left: 0;}
    .vi_slider_cat_ref {padding: 60px 0;}
    .vi_slider_cat_ref::before {left: -20px; width: 90%;}
    .vi_slider_cat_product .vi_slider_cat_product__header {margin-bottom: 15px;}
    .vi_slider_cat_product__list.slick-slider .slick-arrow {left: calc(100% - 33px);}
    .vi_slider_cat_product__list.slick-slider .slick-arrow.slick-prev {right: calc(100% - 33px);}
    .home_section_partners {padding: 45px 0 40px;}
    .vi-partner__inner.slick-slider .slick-arrow {left: auto; right: 20px;}
    .vi-partner__inner.slick-slider .slick-arrow.slick-prev {left: auto; right: 72px;}

    /****** REFERENCES page child ******/
    .vi-references__wrap {padding: 40px 0 50px;}
    .vi-related_product {margin-bottom: 70px; margin-top: 50px;}
    .vi-related_product .vi-related_product_title {margin-bottom: 25px;}
    body.list.tax-references-category .vi_slider_cat_ref.main_content {padding-left: 20px;}

    /****** Products & services page overview ******/
    .sidebar_wrap, .content_wrap {width: 100%;}

    /****** Products & services page child ******/
    .row_group_btn > .wpb_column[class*="vc_col-"] {width: 100%; margin-bottom: 20px;}
    .row_group_btn > .wpb_column[class*="vc_col-"]:last-child {margin-bottom: 0;}
    .vi-related_project {padding: 55px 0 50px;}
    .vi-related_project__inner.slick-slider .slick-dots {right: 50px;}

    /****** Footer ******/
    .footer_row_menu {padding: 25px 0;}
    .footer_row_main > .wpb_column.vc_col-sm-4:first-child::before {left: 100%;}
}

/***************************************
*             Tablet versions
****************************************/
@media only screen and (max-width: 1024px){
    /* EDITOR */
    .mceContentBody h1, .main_content h1 {font-size: 32px;}
    .mceContentBody h2, .main_content h2 {font-size: 28px;}
    .mceContentBody h3, .main_content h3 {font-size: 24px;}
    .mceContentBody h4, .main_content h4 {font-size: 20px;}
    .mceContentBody h5, .main_content h5 {font-size: 16px;}
    .mceContentBody h6, .main_content h6 {font-size: 14px;}
    .txt_size_22px {font-size: 18px !important;}

    .page-title {font-size: 32px;}
    table.vi-references_table.custom-table-style1 thead tr th {font-size: 16px;}
    table.vi-references_table.custom-table-style1 tbody tr td {font-size: 14px;}
    .bottom_table .number_pagi > span {font-size: 20px;}
    .bottom_table .number_pagi > span.number_current {font-size: 28px;}
    .main_content .gform_wrapper h3.gform_title {font-size: 28px;}
    .main_content .gform_wrapper label.gfield_label {font-size: 14px;}
    .wpb-js-composer .custom-accordion.vc_tta.vc_general .vc_tta-panel-title {font-size: 16px;}
    /* END EDITOR */

    /****** GRAVITY FORM ******/
    .main_content .gform_wrapper ul li.gfield.gf_checkbox_regulations {position: relative; left: 0; width: 100% !important; height: auto;}
    .main_content .gform_wrapper label.gfield_label {margin-bottom: 10px;}
    .gform_wrapper input:not([type=radio]):not([type=checkbox]):not([type=submit]):not([type=button]):not([type=image]):not([type=file]),
    .gform_wrapper textarea, .gform_wrapper select {height: 50px; line-height: 50px;}
    .gform_wrapper input[type=file] {height: 50px;}
    .gform_wrapper textarea.medium {height: 150px !important;}
    .main_content .gform_wrapper div.validation_error {margin-bottom: 25px;}
    .main_content .gform_wrapper .gform_fileupload_multifile .gform_drop_area {height: 50px;}
    .main_content .gform_wrapper .gform_fileupload_multifile .gform_drop_area input.gform_button_select_files {width: 130px;}
    .fancybox-slide--iframe {padding: 20px;}
    .fancybox-button {width: 40px; height: 40px; top: 20px; right: 20px;}
    .fancybox-slide--html {padding: 20px;}
    .fancybox-slide--html .fancybox-content {padding: 40px;}

    /****** REFERENCES page overview ******/
    .vi-references_categories_item {height: 234px;}
    .vi-references_categories_row:nth-of-type(3n + 1) .vi-references_categories_item:first-child,
    .vi-references_categories_row:nth-of-type(3n + 2) .vi-references_categories_item:nth-child(3) {height: 484px;}
    .vi-references_categories_row:nth-of-type(3n + 3) .vi-references_categories_item {height: 317px;}

    /****** Products & services page child ******/
    /*** ele "vi_glr_slider" */
    .vi_glr_slider__img-inner.vi-bg-cover {height: 318px !important;}
    .vi_glr_slider-thumb .vi_glr_slider__img-inner.vi-bg-cover {height: 48px !important;}
}

@media only screen and (max-width: 1023px){
    /****** GRAVITY FORM ******/
    .main_content .gform_wrapper h3.gform_title,
    .main_content .gform_wrapper div.validation_error,
    .main_content .gform_wrapper .gform_footer {text-align: center;}

    /****** Homepage ******/
    .vi-product-item {width: 332px !important;}
    .vi-product-item__image {margin-bottom: 15px;}
    .vi-product-item__image img {max-width: calc(100% - 10px);}
    .vi-product-item__content {padding: 0 20px 20px;}
    .vi_slider_cat_product__list.slick-slider {width: calc(100% + 26px);}
    .vi_slider_cat_product__list.slick-slider .vi-product-item__excerpt {margin-bottom: 20px;}

    /****** Contact ******/
    .contact_row_form {
        display: -webkit-box; display: -ms-flexbox; display: flex;
        -webkit-box-orient: vertical; -webkit-box-direction: reverse; -ms-flex-direction: column-reverse; flex-direction: column-reverse;
    }
    .contact_row_form[class*="margin-bottom-"] {margin-bottom: 35px !important;}
    .contact_row_form > .contact_section_form {width: 100% !important;}
    .contact_row_form > .contact_section_info {width: 100% !important;}
    .contact_row_form.vc_row > .wpb_column:first-child {padding-right: 0;}
    .contact_row_form.vc_row > .wpb_column:last-child {padding-left: 0;}
    .contact_section_info > .vc_column-inner > .wpb_wrapper > .vi__single__image.wpb_content_element {margin-bottom: 35px;}
    #primary .vi-location_block {margin: 0 auto 35px; max-width: 350px;}

    /****** Footer ******/
    .footer_row_menu {display: none !important;}
    .footer_row_main .footer_section_logo.wpb_content_element {margin-bottom: 30px;}
    footer .vi-location_block {max-width: 100%; margin: 0 auto 25px;}
    footer .vi-location_block .vi-location_block_title {margin-bottom: 7px;}
    footer .footer_row_bottom {
        padding: 20px 0; display: -webkit-box; display: -ms-flexbox; display: flex;
        -webkit-box-orient: vertical; -webkit-box-direction: reverse; -ms-flex-direction: column-reverse; flex-direction: column-reverse;
    }
    footer .footer_row_bottom > .wpb_column {width: 100%;}
    .footer_row_bottom .footer_section_copyright > .vc_column-inner > .wpb_wrapper > .wpb_text_column > .wpb_wrapper {
        -webkit-box-pack: center; -ms-flex-pack: center; justify-content: center;
    }
    .footer_row_bottom .footer_section_privacy {margin-bottom: 10px;}
    .footer_row_bottom .policy_menu {margin-left: auto; margin-right: auto;}
}

@media only screen and (max-width: 900px){
    /* EDITOR */
    table.custom-table-style3 tbody tr td {padding: 16px 0 16px 20px !important;}
    table.custom-table-style3 tbody tr td:first-child {padding-left: 10px !important; padding-right: 10px !important;}
    table.custom-table-style3 tbody tr td:last-child {padding-left: 10px !important; padding-right: 10px !important;}
    /* END EDITOR */

    /* CUSTOM SPACING */
    .margin-bottom-90px {margin-bottom: 50px !important;}
    .margin-bottom-70px {margin-bottom: 30px !important;}
    .margin-bottom-60px {margin-bottom: 20px !important;}
    .margin-bottom-50px {margin-bottom: 10px !important;}
    .margin-bottom-40px {margin-bottom: 0 !important;}
    .margin-bottom-30px {margin-bottom: 0 !important;}
    .margin-bottom-25px {margin-bottom: 0 !important;}
    .margin-bottom-70px.wpb_content_element,
    .margin-bottom-60px.wpb_content_element,
    .margin-bottom-50px.wpb_content_element,
    .margin-bottom-40px.wpb_content_element {margin-bottom: 35px !important;}
    .margin-bottom-30px.wpb_content_element {margin-bottom: 30px !important;}
    .margin-bottom-25px.wpb_content_element {margin-bottom: 25px !important;}
    .padding-bottom-40px {padding-bottom: 15px !important;}
    .custom-style.vc_row[data-vc-full-width][class*="margin-bottom-"] {margin-bottom: 35px !important;}

    /****** EXTRA CLASS ******/
    .has_bg_grey {padding-top: 40px; padding-bottom: 20px;}

    /*** ele "vi_img_block_text" ***/
    .vi_img_block_text .vi_block_text-inner {margin-left: 30px;}
    .vi_img_block_text.pos_right .vi_block_text-inner {margin-right: 30px;}
    /* custom-style */
    .custom-style.vc_row[data-vc-full-width] {padding-top: 50px; padding-bottom: 0;}
    .custom-style.vc_row[data-vc-full-width] .vi_img_block_text .vi_block_img {width: 50%;}
    .custom-style.vc_row[data-vc-full-width] .vi_img_block_text .vi_block_text {width: 50%; margin-top: 15px;}
    .custom-style.vc_row[data-vc-full-width] .vi_img_block_text .vi_block_text-inner {margin-left: 30px;}
    .custom-style.vc_row[data-vc-full-width] .vi_img_block_text.pos_right .vi_block_text-inner {margin-right: 30px;}

    /****** Homepage ******/
    .vi_banner_home-bg {right: 0; bottom: 0; top: auto;}
    .vi_banner_home-images {width: 100%;}
    .vi_banner_home-content {width: 100%; padding-right: 0;}
    .vi_banner_home-content::before {display: none;}
    .vi_banner_home-content-inner {margin: 0; padding: 35px 20px; max-width: 100%;}
    .vi_slider_cat_ref {padding: 50px 0; -webkit-box-orient: vertical; -webkit-box-direction: normal; -ms-flex-direction: column; flex-direction: column;}
    .vi_slider_cat_ref::before {width: calc(100% - 40px);}
    .vi_slider_cat_ref__content {width: 100%; padding-right: 80px; margin-bottom: 25px;}
    .vi_slider_cat_ref__list.slick-slider {width: 100%;}
    .vi_slider_cat_ref__list.slick-slider .vi_slider_cat_product__item {width: 262px !important;}
    .home_section_about > .wpb_column {width: 100%;}
    .vi-partner__inner.slick-slider .vi-partner__item {width: 158px !important; height: 158px;}

    /****** REFERENCES page overview ******/
    .vi-references_categories[class*="margin-bottom-"] {margin-bottom: 35px !important;}
    .vi-references_categories_item {height: 170px;}
    .vi-references_categories_row:nth-of-type(3n + 1) .vi-references_categories_item:first-child,
    .vi-references_categories_row:nth-of-type(3n + 2) .vi-references_categories_item:nth-child(3) {height: 356px;}
    .vi-references_categories_row:nth-of-type(3n + 3) .vi-references_categories_item {height: 232px;}
    .references_cat-name {padding: 20px; font-size: 16px !important;}
    /*** On-going projects ***/
    .vi-references_on-going_list__inner {margin: 0;}
    .vi-references_on-going-item {width: 100%;}
    .vi-references_on-going-item__inner {margin: 0;}
    .vi-references_on-going-item .ref-attr:first-child {padding-right: 20px;}
    .vi-references_on-going-item .ref-attr:last-child {padding-left: 20px;}

    /****** REFERENCES page child ******/
    .vi-references_items_feature_inner.slick-slider .slick-arrow {top: 350px; left: auto; right: -15px;}
    .vi-references_items_feature_inner.slick-slider .slick-arrow.slick-prev {left: -15px; right: auto;}
    .vi-references_feature_item_inner::before {top: 0; width: 100%; height: 100%;}
    .vi-references_feature_item_image {width: 100%; height: 350px !important; margin-bottom: 30px;}
    .vi-references_feature_item_content {width: 100%; max-width: 100%; margin: 0; padding: 0 20px 30px;}
    .vi-references__wrap {padding: 30px 0 40px;}
    .vi-related_product {margin-bottom: 50px;}

    /****** Products & services page overview ******/
    .vi-product_list .vi-product-item {width: 50% !important;}

    /****** Products & services page child ******/
    body.product-detail .vi-related_product {margin-bottom: 50px;}
    .vi-related_project {padding: 40px 0 45px;}
    .vi-related_project__inner.slick-slider {margin: 0 -29px 0 -30px;}
    .vi-related_project__inner.slick-slider .vi-project-item__inner {margin: 0 30px; padding: 15px 0 12px;}
    .vi-related_project__inner.slick-slider .slick-arrow {
        top: auto; bottom: calc(100% + 20px); left: auto; right: 30px; -webkit-transform: none; -ms-transform: none; transform: none;
    }
    .vi-related_project__inner.slick-slider .slick-arrow.slick-prev {left: auto; right: 82px;}
    /*** extra Class "wrapScrollbar" */
    .wrapScrollbar.wpb_column:first-child > .vc_column-inner {padding-right: 15px;}
    .wrapScrollbar.wpb_column:last-child > .vc_column-inner {padding-left: 15px;}
    /*** ele "vi_glr_slider" */
    .vi_glr_slider__img-inner.vi-bg-cover {height: 243px !important;}
    .vi_glr_slider-thumb .vi_glr_slider__img-inner.vi-bg-cover {height: 30px !important;}

    /****** Footer ******/
    .footer_row_main > .wpb_column {width: 50%;}
    .footer_list_locations > .vc_column-inner > .wpb_wrapper > .vc_row > .wpb_column {width: 100%;}
}

@media only screen and (max-width: 767px){
    table[class*="custom-table"] tbody tr td {padding: 15px;}
    table.custom-table-style1 tbody tr td {padding: 15px 15px 15px 0;}

    /* CUSTOM WIDTH */
    .max-width-325px.wpb_text_column, .max-width-325px.wpb_column > .vc_column-inner > .wpb_wrapper {max-width: 100%;}

    /****** GRAVITY FORM ******/
    .main_content .gform_wrapper .top_label li.gfield.gf_left_half:first-child {margin-top: 0 !important;}
    .main_content .gform_wrapper .top_label li.gfield.gf_right_half:nth-child(2) {margin-top: 20px !important;}
    .main_content .gform_wrapper .top_label li.gfield.gf_left_half {padding-right: 0 !important; width: 100% !important;}
    .main_content .gform_wrapper .top_label li.gfield.gf_right_half {padding-left: 0 !important; width: 100% !important;}
    .main_content .gform_wrapper ul.gform_fields.top_label li.gfield.gfield_error.gf_right_half:nth-child(2) {margin-top: 20px !important;}
    .gform_wrapper.gform_validation_error .top_label li.gfield.gfield_error.gf_left_half,
    .gform_wrapper.gform_validation_error .top_label li.gfield.gfield_error.gf_right_half {max-width: 100% !important;}
    .fancybox-slide--html .fancybox-content {padding: 40px 20px;}

    /*** ele "vi_img_block_text" ***/
    .vi_img_block_text .vi_block_img {width: 100%; margin-bottom: 20px;}
    .vi_img_block_text .vi_block_text {width: 100%;}
    .vi_img_block_text .vi_block_text-inner {margin-left: 0;}
    .vi_img_block_text.pos_right .vi_block_text-inner {margin-right: 0;}
    /* custom-style */
    .custom-style.vc_row[data-vc-full-width] {padding-top: 40px;}
    .custom-style.vc_row[data-vc-full-width] .vi_img_block_text .vi_block_img {width: 100%; margin-bottom: 20px;}
    .custom-style.vc_row[data-vc-full-width] .vi_img_block_text .vi_block_text {width: 100%; margin-top: 0;}
    .custom-style.vc_row[data-vc-full-width] .vi_img_block_text .vi_block_text-inner {margin-left: 0;}
    .custom-style.vc_row[data-vc-full-width] .vi_img_block_text.pos_right .vi_block_text-inner {margin-right: 0;}

    /****** Header ******/
    .header__breadcrumbs {width: 70%;}
    .mobile__block {max-width: 100%; min-width: auto;}
    .mobile__block-inner {padding: 0 35px;}

    /****** Support page ******/
    .vc_tta-tabs.mobile-convert-tabs-to-select .vc_tta-tabs-container {padding: 0;}
    .wpb-js-composer .vc_tta.vc_general:not(.custom-accordion) .vc_tta-panels-container .vc_tta-panels .vc_tta-panel .vc_tta-panel-body {padding: 0 !important;}
    /*** ele "vi_download" in Tabs ***/
    .vi_download .vi_download-item-inner {padding: 10px 0;}
    .vi_download .vi_download-item-image {width: 50px;}
    .vi_download .vi_download-item-title {width: calc(50% - 50px); padding: 5px 20px 5px 15px;}
    .vi_download .vi_download-item-download {padding: 0 0 0 15px;}
    a.btn_loadmore {width: 50px; height: 50px; line-height: 50px; font-size: 16px;}

    /****** Career page ******/
    .vi-career-item__inner {padding: 20px 20px 25px;}

    /****** Products & services page child ******/
    /*** ele "vi_glr_slider" */
    .vi_glr_slider__img-inner.vi-bg-cover {height: calc((100vw - 40px) / 1.5) !important; min-height: 200px !important;}
    .vi_glr_slider-thumb .vi_glr_slider__img-inner.vi-bg-cover {height: calc((100vw - 40px) / 8.75) !important; min-height: 20px !important;}
}

/***************************************
*             Mobile versions
****************************************/
@media only screen and (max-width: 580px){
    /* EDITOR */
    .mceContentBody h1, .main_content h1 {font-size: 30px;}
    .mceContentBody h2, .main_content h2 {font-size: 26px;}
    .mceContentBody h3, .main_content h3 {font-size: 22px;}
    .mceContentBody h4, .main_content h4 {font-size: 18px;}
    .txt_size_22px {font-size: 16px !important;}

    .page-title {font-size: 30px;}
    .bottom_table .number_pagi > span {font-size: 18px;}
    .bottom_table .number_pagi > span.number_current {font-size: 26px;}
    .main_content .gform_wrapper h3.gform_title {font-size: 26px;}
    /* END EDITOR */

    /* CUSTOM SPACING */
    .margin-bottom-90px {margin-bottom: 30px !important;}
    .margin-bottom-70px {margin-bottom: 10px !important;}
    .margin-bottom-60px {margin-bottom: 0 !important;}
    .margin-bottom-50px {margin-bottom: 0 !important;}
    .margin-bottom-90px.wpb_content_element,
    .margin-bottom-70px.wpb_content_element,
    .margin-bottom-60px.wpb_content_element,
    .margin-bottom-50px.wpb_content_element {margin-bottom: 35px !important;}
    .padding-bottom-40px {padding-bottom: 0 !important;}

    /*** ele "vi_img_block_text" ***/
    .vi_img_block_text .vi_block_img-inner.vi-bg-cover {max-height: 350px;}

    /*** ele "twc-video-popup" ***/
    a.twc-video-popup__show span.icon-HaiNam-Play {font-size: 50px;}
    a.twc-video-popup__show:hover span.icon-HaiNam-Play {font-size: 60px;}

    /*** ele "vi-company-history" ***/
    .vi-company-history__item.has-title .vi-company-history__item--content .inner {width: 150%;}
    .vi-company-history__item.has-title.even .vi-company-history__item--content .inner {padding: 30px 30px 58px;}
    .vi-company-history__item.has-title.odd .vi-company-history__item--content .inner {padding: 58px 30px 30px;}

    /****** Header ******/
    .mobile__block {padding:20px 0 50px;}
    .header__logo-link {height: 35px;}
    .mobile-show .header__search {margin-right: 65px;}
    .mobile__block-inner {padding: 0 20px;}
    .mobile__block-inner > .header__logo {margin-bottom: 40px;}
    .header__breadcrumbs {width: calc(100% - 60px);}

    /****** Homepage ******/
    body.page_loaded .vi_banner_home-bg {opacity: 0.25;}
    .home_section_banner[class*="margin-bottom-"] {margin-bottom: 0 !important;}
    .vi_slider_cat_ref::before {width: calc(100% + 20px);}
    .vi_slider_cat_ref__content {padding-right: 40px;}
    .vi_slider_cat_ref__list.slick-slider .vi_slider_cat_product__item {width: 212px !important;}
    .vi_slider_cat_product .vi_slider_cat_product__heading {margin-bottom: 10px;}
    .vi-partner__inner.slick-slider .vi-partner__item {width: 108px !important; height: 108px;}
    .vi-partner__inner.slick-slider .vi-partner__item-logo {padding: 5px;}
    .vi-partner__inner.slick-slider .slick-arrow {top: -61px;}

    /****** Support page ******/
    /*** ele "vi_download" in Tabs ***/
    .vi_download .vi_download-item-inner {-ms-flex-wrap: wrap; flex-wrap: wrap;}
    .vi_download .vi_download-item-title {width: calc(100% - 90px); padding: 5px 20px; -ms-grid-row-align: center; align-self: center;}
    .vi_download .vi_download-item-download {width: 100%; padding: 0;}
    .vi_download .vi_download-item-download a.btn_download {margin-top: 10px;}

    /****** Career page ******/
    .vi-career__title.wpb_content_element {margin-bottom: 25px;}
    .vi-career-item {width: 100%;}

    /****** REFERENCES page overview ******/
    .vi-references_categories_list .vi-references_categories_item {width: 100% !important; height: 250px !important;}
    /*** On-going projects ***/
    .vi-references_on-going_list__inner {margin: 0;}
    .vi-references_on-going-item {width: 100%;}
    .vi-references_on-going-item__inner {margin: 0;}
    .vi-references_on-going-item .ref-item__info-row {
        -webkit-box-orient: vertical;-webkit-box-direction: normal;-ms-flex-direction: column;flex-direction: column; padding: 0;
    }
    .vi-references_on-going-item .ref-item__info-row:not(:last-child) {border-bottom: none; padding-top: 10px;}
    .vi-references_on-going-item .ref-attr:first-child {padding-right: 0; padding-top: 5px; padding-bottom: 5px; border-right: none;}
    .vi-references_on-going-item .ref-attr:last-child {padding-left: 0; padding-top: 5px; padding-bottom: 5px;}

    /****** REFERENCES page child ******/
    .vi-references_items_feature_inner.slick-slider .slick-arrow {top: 300px;}
    .vi-references_feature_item_image {height: 300px !important;}

    /****** Products & services page overview ******/
    .vi-product_list .vi-product-item {width: 100% !important;}

    /****** Products & services page child ******/
    .vi_glr_slider-thumb {padding: 0 50px;}
    .vi-related_project {padding: 40px 0;}
    .vi-related_project__inner.slick-slider {margin: 0 -20px;}
    .vi-related_project__inner.slick-slider .vi-project-item {border-right: none;}
    .vi-related_project__inner.slick-slider .vi-project-item__inner {margin: 0 20px; padding: 0;}
    .vi-related_project__inner.slick-slider .vi-project-item__title {margin-bottom: 15px;}
    .vi-related_project__inner.slick-slider .slick-arrow {bottom: calc(100% + 32px);}

    /****** Footer ******/
    .footer_section_logo.wpb_single_image img {max-width: 175px;}
    .footer_row_main > .wpb_column {width: 100%;}
    .footer_row_main > .wpb_column.vc_col-sm-4:first-child::before {display: none;}
    .footer_row_bottom .policy_menu {margin-left: 0;}
    .footer_row_bottom .footer_section_copyright > .vc_column-inner > .wpb_wrapper > .wpb_text_column > .wpb_wrapper {
        -webkit-box-pack: start; -ms-flex-pack: start; justify-content: flex-start;
    }
}

@media only screen and (max-width: 420px){
    /****** Header ******/
    .header__block .header__block-inner.container {padding: 0 10px;}
    .header__btn-hamburger {right: 10px;}
    body.scroll-middle .header__btn-hamburger, .menu-open .header__btn-hamburger {top: 10px;}
    .btn-side-menu-slidedown {right: -15px;}

    /****** Homepage ******/
    .vi-product-item {width: 262px !important;}
}

@media only screen and (max-width: 360px){
    /*** ele "vi-company-history" ***/
    .vi-company-history__item.has-title .vi-company-history__item--content .inner {width: 130%;}

    /****** Homepage ******/
    .vi-partner__inner.slick-slider {padding-top: 52px;}
    .vi-partner__inner.slick-slider .slick-arrow {top: 0; left: 52px; right: auto;}
    .vi-partner__inner.slick-slider .slick-arrow.slick-prev {left: 0; right: auto;}
}